Create price control - Fabric
Create price control
cURL
curl --request POST \
--url https://api.fabric.inc/v3/price-controls \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"priceListId": 100000,
"itemId": 10000001,
"itemSku": "SKU0123456",
"msrp": 299,
"map": 199.99,
"floor": 149,
"ceiling": 149,
"channelId": "12"
}
'
Python
import requests
url = "https://api.fabric.inc/v3/price-controls"
payload = {
"priceListId": 100000,
"itemId": 10000001,
"itemSku": "SKU0123456",
"msrp": 299,
"map": 199.99,
"floor": 149,
"ceiling": 149,
"channelId": "12"
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
priceListId: 100000,
itemId: 10000001,
itemSku: 'SKU0123456',
msrp: 299,
map: 199.99,
floor: 149,
ceiling: 149,
channelId: '12'
})
};
fetch('https://api.fabric.inc/v3/price-controls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
- 201: Created
- 400: Bad Request
- 401: Unauthorized
- 404: Not Found
- 500: Internal Server Error
Sample Response
{
"priceListId": 100000,
"itemId": 10000001,
"isDeleted": false,
"createdAt": "2019-08-20T14:15:22.000Z",
"updatedAt": "2019-08-20T14:15:22.000Z",
"itemSku": "SKU0123456",
"msrp": 299,
"map": 199.99,
"floor": 149,
"ceiling": 149,
"channelId": "12"
}
Error Responses
PRICECONTROLS_ITEMID_PRICELISTID_EXISTS: Price controls already exist.
{ "type": "PRICECONTROLS_ITEMID_PRICELISTID_EXISTS", "message": "Price controls already exist" }UNAUTHORIZED: Invalid credentials.
{ "type": "UNAUTHORIZED", "message": "Invalid credentials" }PRICE_LIST_NOT_FOUND: No price list found with this ID.
{ "type": "PRICE_LIST_NOT_FOUND", "message": "No price list found with this ID" }INTERNAL_SERVER_ERROR: Internal server error.
{ "type": "INTERNAL_SERVER_ERROR", "message": "Internal server error" }
Authorizations
- Authorization: Required bearer token.
Headers
- x-fabric-tenant-id: Required tenant ID for authentication.
- Example:
"12".
- Example:
- x-fabric-channel-id: Identifies the sales channel (e.g.,
"12"for US).
Request Body
- priceListId: ID for price list (required).
- itemId: ID for item (required).
- itemSku: SKU for the item.
- msrp: Manufacturer suggested retail price.
- map: Minimum advertised price.
- floor: Lowest selling price.
- ceiling: Maximum selling price.
- channelId: Sales channel ID.